/*---------------------------------------------------------------------*/
/* --- Web: www.STCAI.com ---------------------------------------------*/
/*---------------------------------------------------------------------*/

/*************  功能说明    **************

本例程基于AI8051U为主控芯片的实验箱进行编写测试。

使用Keil C51编译器,为了达到比较高的效率,一般建议选择"Small"模式。

当编译器出现 "error C249: 'DATA': SEGMENT TOO LARGE" 错误时，则需要手动将部分比较大的数组通过"xdata" 强制分配到 XDATA 区域(例如: char xdata buffer [256];)

基于HID协议的USB键盘范例

将代码下载到试验箱后即可实现USB键盘的基本功能
跑马灯中的LED10为NumLock灯、LED11为CapsLock灯
矩阵按键中的KEY0~KEY7分别为键盘中的1~8

下载时, 设置IRC工作频率为 24MHz.

******************************************/

#include "usb.h"
#include "usb_req_class.h"
#include "timer.h"

void main()
{
    WTST = 0;  //设置程序指令延时参数，赋值为0可将CPU执行指令的速度设置为最快
    EAXSFR(); //扩展寄存器(XFR)访问使能
    CKCON = 0; //提高访问XRAM速度

    usb_init();
    timer_init();

    EA = 1;
    
    while (1)
    {
        usb_class_in();
        
        if (f1ms)
        {
            f1ms = 0;
            scan_key();
        }
    }
}
